Subject: RE: BUG

From: "Randall S. Becker" <[email-masked]>
Date: Wed, 4 Nov 2020 12:54:47 -0500

On November 4, 2020 12:03 PM, I wrote:
> To: 'Alex Marginean' <[email-masked]>; [email-masked]'
> <[email-masked]>
> Subject: RE: BUG
> 
> On November 4, 2020 11:10 AM, Alex Marginean wrote:
> > Github has changed the way they name branches, so now instead of the
> > `master` branch there is the `main` branch however, I'm having some
> > trouble with the naming
> >
> > **Steps to replicate my problem**
> >
> > 1. Create a new Github repository and make sure the default branch is
> > `main` 2. Add something to the repo, a `README.md` file should be enough
> 3.
> > Instead of cloning the repo make a new directory with your repo's name
> > `mkdir <repo_name>` and change the directory to it `cd <repo_name>` 4.
> > `git init` 5. Add the remote repo with `git remote add origin
> > <repo_link>` 6. Pull the `main` branch from the remote repo with `git pull
> origin main`.
> 
> Use git init --initial-branch=main

You could also use git branch -m master main after the git init if your version of git is too old.

> 
> This assumes a recent version of git.
> 
> >
> > After the step number 6. instead of my branch changing to `main` my
> > current branch is changed to `master` which has every file and change
> > of the branch `main`. This is a real problem because if I try to push
> > changes to `main` although my current branch shows up as `master` it
> > creates another branch called `master` on Github and the `main`
> > remains unchanged. Yeah sure I can `git checkout main` after that and
> > make my changes there but I'm not sure why it defaults to `master` and
> > copies `main` from Github into local branch `master`.
> >
> > P.S. If you were to use `git fetch origin` instead of `git pull origin
> > <branch_name> and then manually change branch to `main` with `git
> > checkout main` it would work. Also, if you were to clone the Github
> > repo using `git clone <link>` you will get the correct current branch that is
> `main`.
> 
> Regards,
> Randall
> -- Brief whoami:
>  NonStop developer since approximately 211288444200000000  UNIX
> developer since approximately 421664400
> -- In my real life, I talk too much.